@rem = '--*-Perl-*--
@echo off
C:
cd\perl\bin
if "%OS%" == "Windows_NT" goto WinNT
call perl pdoc.pl %1 %2 %3 %4 %5 %6 %7 %8 %9
more TEMP.tmp
goto endofperl
:WinNT
echo.
echo    PDOC.BAT is for Windows(tm) 95 only; Windows(tm) NT does
echo    *not* have the same problem with its command logic; use a
echo    "pipe" to "MORE" to solve the "paging" problem under NT.
echo.
goto endofperl
@rem ';
#!perl
#
# Place BOTH the pdoc.pl script and this batch file (pdoc.bat) into your
# C:\PERL\BIN folder. (If perldoc.bat is located elsewhere, you may need
# to change lines 3 and 4 of this batch file to point to the location of
# your Perl BIN folder.)
#
# PDOC.BAT --- makes sure that the documentation about a FUNCTION within
# the perlfunc.pod file does not fly off the screen before you get a chance
# to read it!  This is how perldoc.bat is supposed to work, but for some
# reason it doesn't under Windows(tm) 95.  (See perldoc.bat)
#
# PDOC.BAT is strictly for helping you read the perl online documentation
# (PODs), though part of it calls perl and runs a perl script.

# NOTE: pdoc.bat itself is never actually run as a perl script unlike the
# batch file perldoc.bat (Use "pdoc pdoc" to get a verbose documentation
# listing.  This perl script is simply for documentation purposes).

exit;
__END__

=head1 NAME

PDOC.BAT --- Makes sure that the Perl documentation you look up can be read
one screen at a time UNDER Windows(tm) 95.

=head1 SYNOPSIS

B<NOTE>: PDOC.BAT is I<NOT> a substitute for the perldoc.bat file!
Both PERLDOC.BAT and the PDOC.PL script I<must be installed> in
your Perl BIN folder for PDOC.BAT to function.

B<pdoc> [B<-h>] [B<-v>] [B<-t>] [B<-u>] [B<-m>] [B<-l>] [B<-F>]  [B<-X>]
PageName|ModuleName|ProgramName

B<pdoc> B<-f> BuiltinFunction

B<pdoc> B<-q> FAQ Keyword

PDOC.BAT uses the same parameters as perldoc.bat; it simply passes them 
along to perldoc. Your perldoc.bat file may not recognize some of the 
switches listed above. (SEE your perldoc documentation for a Description 
of all the switches available to you. To read the documentation, enter: 
"perldoc perldoc" or "pdoc perldoc" at the command prompt.)

=head1 DESCRIPTION

  I never would have written PDOC.BAT *if* perldoc.bat acted the
way it was supposed to under Windows(tm) 95 !

PDOC.BAT makes sure that the data about any functions within the
perlfunc.pod file, FAQs, or any other pod documentation in your
perl install tree does NOT "fly off the screen" before you get a
chance to read it!

PDOC.BAT calls the perldoc.bat file from within a perl script which
stores the output in a temporary file that is read using the MORE 
"pager" of Windows(tm) 95 ("more TEMP.tmp"). Any parameter added
on the command line after "pdoc" is passed to perldoc.bat

NOTE: PDOC.BAT saves its last output as TEMP.tmp (a text file) in
the Perl BIN folder. This makes it possible for you to edit and/or
store the pod data it found until you use PDOC.BAT again.

=head1 AUTHOR

 Daniel B. Sedory <thestarman@email.com>

=cut

__END__

:endofperl

